Skip to main content
GET
Get Specific Template

Rate Limit

The rate limits are at the workspace level, and a maximum of 1000 (sum of all the API requests per workspace) requests are allowed for a workspace per minute.

Authorizations

Authorization
string
header
required

Authentication is done via Basic Auth. This requires a base64-encoded string of your credentials in the format 'username:password'.

  • Username: Use your MoEngage workspace ID (also known as the App ID). You can find it in the MoEngage dashboard at Settings > Account > APIs > Workspace ID (earlier app id).
  • Password: Use your API Key, which you can find within the Data tile.

For more information on authentication and getting your credentials, refer here.

Headers

MOE-APPKEY
string
required

This is the Workspace ID of your MoEngage account that must be passed with the request. You can find it in the MoEngage dashboard at Settings > Account > APIs > Workspace ID (earlier app id).

Path Parameters

id
string
required

This is the Template id of the template being searched. The template id is a unique identifier that is generated at the time of template creation.

Example:

"63f30792c66ddcaac2ef9109"

Response

This response is returned when the request is processed successfully.

status
string

This field contains the status of the request and denotes whether it was successful or not.

Example:

"success"

template_id
string

This field contains the id of the created template when the request is successful and the error details in case of an unsuccessful request.

Example:

"645a0cec10e0307e6d7f7716"

template_name
string
Example:

"End_of_season_sale_template"

subject
string

subject of the template being fetched

template_content
string

html content of the template

attachments
object[]

The attachments field is a list of JSON Objects that contain the details about an attachment, such as its type, url, name, id, and so on.

source
string

source of the template being fetched

sender_name
string
editor
string
created_date
string

timestamp of template creation

updated_at
string

timestamp of when the template was last updated

updated_by
string

details about who created or updated the template